{% extends "clientsections/base.html" %}
{% load thumbnail generic_markup collections util %}

{% block extrahead %}
<script type="text/javascript" src="{{MEDIA_URL}}flowplayer/flowplayer-3.1.2.min.js"></script>
<script src="{{MEDIA_URL}}js/collectionpage.js" type="text/javascript"></script>
{{ block.super }}

<script type="text/javascript">
$(function() {
    $link = $('.collections-menu a[rel={{collection.slug}}]').addClass('active');
    scroller = $link.closest('.jquery-scroller').data('scroller').scrollTo($link[0], false);

    new CollectionPage();
});
</script>
{% endblock %}

{% block content %}
<div class="collection {{layout}}">
    <div class="media">
    </div>

    <div class="thumbs">
        {% if videos %}
        <div class="videos">
            <h4>Videos</h4>
            {% spaceless %}
            {% for video in videos %}
            <a {% if video.has_vimeo_video %}data-video='{{video.data|as_json}}'{% else %}href="{{video.mp4.url}}" {% endif %} image="{{video.image.url}}" caption="{{video.caption|apply_markup|force_escape}}" class="{% if video.has_vimeo_video %}vimeo{% else %}localvideo{% endif %}"><img src="{% thumbnail video.image 90x70 crop,detail %}" alt="video" /></a>
            {% endfor %}
            {% endspaceless %}
        </div>
        {% endif %}
        
        {% if images %}
        <div class="images">
            <h4>Images</h4>
            {% spaceless %}
            {% for image in images %}
            <a href="{{image.filename.url}}" caption="{{image.caption|apply_markup|force_escape}}"><img src="{% thumbnail image.filename 90x70 crop,detail %}" alt="thumbnail" /></a>
            {% endfor %}
            {% endspaceless %}
        </div>
        {% endif %}
    </div>

    <div class="info">
        <h1 class="title">{{collection}}</h1>
        <div class="body">{{collection.text|apply_markup}}</div>

    </div>
</div>
{% endblock %}

